// (c) 2018, SAS Institute Inc.

// (c) 2018, SAS Institute Inc.

jQuery.sap.declare("sas.analytics.riskhp.common.riskcommons.table.TableViewerColumn");
jQuery.sap.require("sas.analytics.riskhp.common.riskcommons.table.TableViewerColumnMenu");

sas.hc.ui.table.Column.extend("sas.analytics.riskhp.common.riskcommons.table.TableViewerColumn", {
    metadata: {
        library: "sas.analytics.riskhp"
    }
});

/**
 * Factory method. Creates the column menu.
 *
 * @override
 * (ryalbe)
 * Overriding so the column has its table reference set by the
 * time the column menu attaches to the table sort event for menu
 * invalidation/update. Otherwise the column menu options such as
 * remove sort do not update properly when sort is applied.
 *
 * @return {sas.analytics.riskhp.common.riskcommons.table.TableViewerColumnMenu} The created column menu.
 * @extends sas.hc.ui.table.Column#_createMenu
 */
sas.analytics.riskhp.common.riskcommons.table.TableViewerColumn.prototype._createMenu = function() {
    return new sas.analytics.riskhp.common.riskcommons.table.TableViewerColumnMenu(this.getId() + "-menu");
};