// (c) 2017, SAS Institute Inc.

jQuery.sap.declare("sas.analytics.riskhp.models.dataitems.AbsoluteHorizon");
jQuery.sap.require("sas.analytics.riskhp.models.dataitems.Horizon");

/**
 * @name sas.analytics.riskhp.models.dataitems.AbsoluteHorizon
 * @extends sas.analytics.riskhp.models.dataitems.Horizon
 */
sas.analytics.riskhp.models.dataitems.Horizon.extend("sas.analytics.riskhp.models.dataitems.AbsoluteHorizon",{
	constructor:function(sourceHorizon){
		sas.analytics.riskhp.models.dataitems.Horizon.prototype.constructor.call(this, sourceHorizon);
		
        this.type = sas.analytics.riskhp.models.dataitems.AbsoluteHorizon.ABSOLUTEHORIZON;
        //this.name = sourceHorizon.getHorizonDate() + ":" + sourceHorizon.getLabel();
        this.name = sourceHorizon.getHorizonDate();
        this.tooltip = sourceHorizon.getHorizonDate();
        if (sourceHorizon.basecase) {
            this.id = sas.analytics.riskhp.models.dataitems.AbsoluteHorizon.BASECASEABSOLUTEHORIZON + '_' + this.getName();
        }
        else {
            this.id = sas.analytics.riskhp.models.dataitems.AbsoluteHorizon.ABSOLUTEHORIZON + '_' + this.getName();
        }

        //FIXME?  undefine horizonNumber, interval, cubeID  These are not used or shouldn't be used for absolute.
	}
});

/* Statics */
sas.analytics.riskhp.models.dataitems.AbsoluteHorizon.ABSOLUTEHORIZON = "absoluteHorizon";
sas.analytics.riskhp.models.dataitems.AbsoluteHorizon.BASECASEABSOLUTEHORIZON = "basecaseabsoluteHorizon";