jQuery.sap.declare("sas.risk.slimtable.library");
jQuery.sap.require("sap.ui.core.Core");

/**
 * @namespace
 * @name sas.risk.slimtable
 * @public
*/

// library dependencies
jQuery.sap.require("sap.m.library");
jQuery.sap.require("sap.ui.commons.library");
jQuery.sap.require("sap.ui.core.library");
jQuery.sap.require("sap.ui.table.library");
jQuery.sap.require("sas.hc.m.library");
jQuery.sap.require("sas.hc.ui.commons.library");
jQuery.sap.require("sas.hc.ui.core.library");
jQuery.sap.require("sas.hc.ui.layout.library");
jQuery.sap.require("sas.hc.ui.table.library");

// delegate further initialization of this library to the Core
sap.ui.getCore().initLibrary({
  name : "sas.risk.slimtable",
  dependencies : ["sap.m",
                  "sap.ui.commons",
                  "sap.ui.core",
                  "sap.ui.table",
                  "sas.hc.m",
                  "sas.hc.ui.commons",
                  "sas.hc.ui.core",
                  "sas.hc.ui.layout",
                  "sas.hc.ui.table"],
  types : [
  ],
  interfaces : [
  ],
  controls : [
    "sas.risk.slimtable.library"
  ],
  elements : [
  ],
  version : "107401.1.0.20181016093200_f0rcmnui5"});