// (c) 2018, SAS Institute Inc.

// (c) 2018, SAS Institute Inc.

jQuery.sap.declare("sas.analytics.riskhp.common.riskcommons.table.TableViewerColumnMenu");

jQuery.sap.require("sas.hc.ui.table.ColumnMenu");


/**
 * @name sas.analytics.riskhp.common.riskcommons.table.TableViewerColumnMenu
 */
sas.hc.ui.table.ColumnMenu.extend("sas.analytics.riskhp.common.riskcommons.table.TableViewerColumnMenu", {
    metadata: {
        library: "sas.analytics.riskhp"
    },
    renderer: {}
});

/**
 * Adds the menu items to the menu.
 * @private
 */
sas.analytics.riskhp.common.riskcommons.table.TableViewerColumnMenu.prototype._addMenuItems = function() {
    var iColumns = 0;
    if( this._oTable.getColumns() ) {
        iColumns = this._oTable.getColumns().length;
    }

    if (this._oColumn) {
        this._addSortMenuItem(false, this);
        this._addSortMenuItem(true, this);
        this._addRemoveSortMenuItem(this);

    }
};